#!/bin/bash -e -x

export PATH=/usr/local/bin:$PATH

pushd `dirname $0`/..

if [ ! -z "${CI_TEST_DEVICE_NAME}" ]; then
  echo "Running tests on local device..."

  xcodebuild \
    -scheme TwilioVoiceClient \
    -project TwilioVoiceClient/TwilioVoiceClient.xcodeproj \
    -destination "platform=iOS,name=${CI_TEST_DEVICE_NAME}" \
    '-only-testing:TwilioVoiceClientTests/RegistrationTests' \
    '-only-testing:TwilioVoiceClientTests/IncomingCallTests' \
    '-only-testing:TwilioVoiceClientTests/TVOCallInviteAPIAgainstTVOCallStateTests' \
    '-only-testing:TwilioVoiceClientTests/TwilioVoiceAPIAgainstCallStateTests' \
    '-only-testing:TwilioVoiceClientTests/RegionTest/testAcceptCallWithGll' \
    '-only-testing:TwilioVoiceClientTests/RegionTest/testAcceptCallWithIe1' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testFiveIncomingCallsAudio()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testRejectThenOutgoingCallAudio()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testRejectThenIncomingCallAudio()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testDisableAudioBeforeRejectingACall()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testEnablingAudioBeforeCallResultsInAudio()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testTogglingAudioToEnabledBeforeCall()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testEnablingAudioImmediatelyAfterCallConnects()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testEnablingAudioDuringConnectedCall()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testEnablingAudioRightAfterConnectingCall()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testTogglingAudioWhileConnectingCall()' \
    '-only-testing:TwilioVoiceClientTests/CallAudioTests/testTogglingAudioDuringConnectedCall()' \
    '-only-testing:TwilioVoiceClientTests/CallRingingTests' \
    '-only-testing:TwilioVoiceClientTests/CustomCallParamsTests' \
    '-only-testing:TwilioVoiceClientTests/EventObserverTests' \
    '-only-testing:TwilioVoiceClientTests/MultipleCallTests/testShouldReceiveDisconnectAfterRejectingInviteDuringCall()' \
    '-only-testing:TwilioVoiceClientTests/MultipleCallTests/testAcceptInviteDuringCall()' \
    '-only-testing:TwilioVoiceClientTests/MetricEventTests' \
    '-only-testing:TwilioVoiceClientTests/ConnectionEventTests' \
    '-only-testing:TwilioVoiceClientTests/SignalingStateEventTests' \
    '-only-testing:TwilioVoiceClientTests/EventPublisherTests' \
    '-only-testing:TwilioVoiceClientTests/FeedbackTests' \
    '-only-testing:TwilioVoiceClientTests/OutgoingCallTests/testCalleeAndCallerDisconnectSimultaneously()' \
    '-only-testing:TwilioVoiceClientTests/CallKitIntegrationTests/testFiveOutgoingCallKitCallsAudio()' \
    test

  xcodebuild \
    -scheme TwilioVoiceUIIntegrationTests \
    -project TwilioVoiceClient/TwilioVoiceClient.xcodeproj \
    -destination "platform=iOS,name=${CI_TEST_DEVICE_NAME}" \
    test
fi

popd